config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname ${NEW})/$(basename ${NEW} .new)"
  if [ -e ${OLD} ]; then
    cp -a ${OLD} ${NEW}.incoming
    cat ${NEW} > ${NEW}.incoming
    mv ${NEW}.incoming ${NEW}
  fi
  config ${NEW}
}

config etc/cron.daily/exim.new
config etc/logrotate.d/exim.new
preserve_perms etc/rc.d/rc.exim.new

( cd usr/sbin ; rm -rf sendmail )
( cd usr/sbin ; ln -sf /usr/sbin/exim sendmail )
( cd usr/lib ; rm -rf sendmail )
( cd usr/lib ; ln -sf /usr/sbin/exim sendmail )
